## tuxedo-yt6801 1.0.30~tux6

=== debian/changelog ===
tuxedo-yt6801 (1.0.30~tux6) noble; urgency=medium

  * fix: disable aspm on problematic devices

 -- Aaron Erhardt <tux@tuxedocomputers.com>  Thu, 29 Jan 2026 12:00:00 +0000

tuxedo-yt6801 (1.0.30~tux5) noble; urgency=medium

  * fix: remove outdated quirk for RHEL 7

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 03 Nov 2025 22:03:26 +0000

tuxedo-yt6801 (1.0.30~tux4) noble; urgency=medium

  * reverte idle power fix with race problems
  * fix idle power consumption

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 26 Aug 2025 14:46:20 +0000

tuxedo-yt6801 (1.0.30~tux3) noble; urgency=medium

  * Apply function rename to fix compile error with kernel 6.16 and newer

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 21 Aug 2025 08:50:44 +0000

tuxedo-yt6801 (1.0.30~tux2) noble; urgency=medium

  * Dynamically switch power mode on some devices for lower idle power draw

 -- Tuxedo BOT <tux@tuxedocomputers.com>  Wed, 16 Jul 2025 15:57:17 +0000

tuxedo-yt6801 (1.0.30~tux1) noble; urgency=medium

  * Update source to 1.0.30 from upstream
  * Update Makefile
  * Fix compile error with linux kernel >= v6.15

 -- Tuxedo BOT <tux@tuxedocomputers.com>  Thu, 12 Jun 2025 10:59:01 +0000

tuxedo-yt6801 (1.0.29~tux1) noble; urgency=medium

  * Fix wrong name in Makefile
  * Fix compile error because of bogus debug print define

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 25 Mar 2025 10:54:45 +0000

tuxedo-yt6801 (1.0.29~tux0) noble; urgency=medium

  * Update codebase to 1.0.29
  * Convert to native package

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 28 Aug 2024 12:02:46 +0000

tuxedo-yt6801 (1.0.28~6) noble; urgency=medium

  * Fix install error

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 13:41:02 +0000

tuxedo-yt6801 (1.0.28~5) noble; urgency=medium

  * Don't print warning for normal behaviour
  * Fix rpm

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 12:57:16 +0000

tuxedo-yt6801 (1.0.28~4) noble; urgency=medium

  * Removed reload of the module for chroot environments

 -- Maximilian Arnold <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 06:50:00 +0000

tuxedo-yt6801 (1.0.28~3) noble; urgency=medium

  * Switch build process to Kbuild instead of Makefile

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 12 Aug 2024 14:25:39 +0000

tuxedo-yt6801 (1.0.28~2) noble; urgency=medium

  * Build fix for kernel version

 -- Christoffer Sandberg <tux@tuxedocomputers.com>  Wed, 31 Jul 2024 12:33:00 +0000

tuxedo-yt6801 (1.0.28~1) noble; urgency=medium

  * Initial release.

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 03 Apr 2024 09:32:52 +0000

## tuxedo-yt6801 1.0.30tux3

=== debian/changelog ===
tuxedo-yt6801 (1.0.30tux3) tuxedo; urgency=medium

  [ Stefan Gerber ]
  * Apply function rename to fix compile error with kernel 6.16 and newer

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 21 Aug 2025 10:50:44 +0200

tuxedo-yt6801 (1.0.30tux2) noble; urgency=medium

  * Dynamically switch power mode on some devices for lower idle power draw

 -- Tuxedo BOT <tux@tuxedocomputers.com>  Wed, 16 Jul 2025 17:57:17 +0200

tuxedo-yt6801 (1.0.30tux1) noble; urgency=medium

  * Update source to 1.0.30 from upstream
  * Update Makefile
  * Fix compile error with linux kernel >= v6.15

 -- Tuxedo BOT <tux@tuxedocomputers.com>  Thu, 12 Jun 2025 12:59:01 +0200

tuxedo-yt6801 (1.0.29tux1) noble; urgency=medium

  * Fix wrong name in Makefile
  * Fix compile error because of bogus debug print define

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 25 Mar 2025 11:54:45 +0100

tuxedo-yt6801 (1.0.29tux0) jammy; urgency=medium

  * Update codebase to 1.0.29
  * Convert to native package

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 28 Aug 2024 14:02:46 +0200

tuxedo-yt6801 (1.0.28-6) jammy; urgency=medium

  * Fix install error

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 15:41:02 +0200

tuxedo-yt6801 (1.0.28-5) jammy; urgency=medium

  * Don't print warning for normal behaviour
  * Fix rpm

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 14:57:16 +0200

tuxedo-yt6801 (1.0.28-4) jammy; urgency=medium

  * Removed reload of the module for chroot environments

 -- Maximilian Arnold <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 08:50:00 +0200

tuxedo-yt6801 (1.0.28-3) jammy; urgency=medium

  * Switch build process to Kbuild instead of Makefile

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 12 Aug 2024 16:25:39 +0200

tuxedo-yt6801 (1.0.28-2) jammy; urgency=medium

  * Build fix for kernel version

 -- Christoffer Sandberg <tux@tuxedocomputers.com>  Wed, 31 Jul 2024 14:33:00 +0200

tuxedo-yt6801 (1.0.28-1) jammy; urgency=medium

  * Initial release.

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 03 Apr 2024 11:32:52 +0200

## tuxedo-yt6801 1.0.30tux5

=== Makefile ===
#
# Copyright (c) 2023 TUXEDO Computers GmbH <tux@tuxedocomputers.com>
#
# This file is part of tuxedo-yt6801.
#
# tuxedo-yt6801 is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

.PHONY: package package-deb package-rpm

PACKAGE_NAME := $(shell grep -Pom1 '.*(?= \(.*\) .*; urgency=.*)' debian/changelog)
PACKAGE_VERSION := $(shell grep -Pom1 '.* \(\K.*(?=\) .*; urgency=.*)' debian/changelog)

package: package-deb package-rpm

package-deb:
	debuild --no-tgz-check --no-sign

package-rpm:
	sed 's/#MODULE_VERSION#/$(PACKAGE_VERSION)/' debian/tuxedo-yt6801.dkms > src/dkms.conf
	sed 's/#MODULE_VERSION#/$(PACKAGE_VERSION)/' tuxedo-yt6801.spec.in > tuxedo-yt6801.spec
	echo >> tuxedo-yt6801.spec
	./debian-changelog-to-rpm-changelog.awk debian/changelog >> tuxedo-yt6801.spec
	mkdir -p $(shell rpm --eval "%{_sourcedir}")
	tar --create --file $(shell rpm --eval "%{_sourcedir}")/$(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz\
		--transform="s/src/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/usr\/src\/$(PACKAGE_NAME)-$(PACKAGE_VERSION)/"\
		--transform="s/debian\/copyright/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/LICENSE/"\
		--exclude=*.cmd\
		--exclude=*.d\
		--exclude=*.ko\
		--exclude=*.mod\
		--exclude=*.mod.c\
		--exclude=*.o\
		--exclude=modules.order\
		src debian/copyright
	rpmbuild -ba tuxedo-yt6801.spec

=== debian/changelog ===
tuxedo-yt6801 (1.0.30tux5) tuxedo; urgency=medium

  [ Aaron Erhardt ]
  * fix: remove outdated quirk for RHEL 7

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 03 Nov 2025 23:03:26 +0100

tuxedo-yt6801 (1.0.30tux4) tuxedo; urgency=medium

  [ Georg Gottleuber ]
  * reverte idle power fix with race problems
  * fix idle power consumption

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 26 Aug 2025 16:46:20 +0200

=== debian/control ===
Source: tuxedo-yt6801
Maintainer: TUXEDO Computers GmbH <tux@tuxedocomputers.com>
Section: devel
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms

Package: tuxedo-yt6801
Architecture: all
Depends: ${misc:Depends}
Description: Driver for Motorcomm YT6801
 A driver for the Motorcomm YT6801 ethernet controller.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install src/. -X*.cmd -X*.d -X*.ko -X*.mod -X*.mod.c -X*.o -Xmodules.order -Xdkms.conf usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

override_dh_dkms:
	dh_dkms -V

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:

## tuxedo-yt6801 1.0.31

=== debian/changelog ===
tuxedo-yt6801 (1.0.31-1) noble; urgency=medium

  * chore: update driver soure to 1.0.31 upstream

 -- Aaron Erhardt <tux@tuxedocomputers.com>  Wed, 04 Feb 2026 12:00:00 +0000

tuxedo-yt6801 (1.0.30tux6) noble; urgency=medium

  * fix: disable aspm on problematic devices

 -- Aaron Erhardt <tux@tuxedocomputers.com>  Thu, 29 Jan 2026 12:00:00 +0000

tuxedo-yt6801 (1.0.30tux5) noble; urgency=medium

  * fix: remove outdated quirk for RHEL 7

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 03 Nov 2025 22:03:26 +0000

tuxedo-yt6801 (1.0.30tux4) noble; urgency=medium

  * reverte idle power fix with race problems
  * fix idle power consumption

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 26 Aug 2025 14:46:20 +0000

tuxedo-yt6801 (1.0.30tux3) noble; urgency=medium

  * Apply function rename to fix compile error with kernel 6.16 and newer

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 21 Aug 2025 08:50:44 +0000

tuxedo-yt6801 (1.0.29tux0) noble; urgency=medium

  * Update codebase to 1.0.29
  * Convert to native package

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 28 Aug 2024 12:02:46 +0000

tuxedo-yt6801 (1.0.28-6) noble; urgency=medium

  * Fix install error

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 13:41:02 +0000

tuxedo-yt6801 (1.0.28-5) noble; urgency=medium

  * Don't print warning for normal behaviour
  * Fix rpm

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 12:57:16 +0000

tuxedo-yt6801 (1.0.28-4) noble; urgency=medium

  * Removed reload of the module for chroot environments

 -- Maximilian Arnold <tux@tuxedocomputers.com>  Tue, 13 Aug 2024 06:50:00 +0000

tuxedo-yt6801 (1.0.28-3) noble; urgency=medium

  * Switch build process to Kbuild instead of Makefile

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 12 Aug 2024 14:25:39 +0000

tuxedo-yt6801 (1.0.28-2) noble; urgency=medium

  * Build fix for kernel version

 -- Christoffer Sandberg <tux@tuxedocomputers.com>  Wed, 31 Jul 2024 12:33:00 +0000

tuxedo-yt6801 (1.0.28-1) noble; urgency=medium

  * Initial release.

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 03 Apr 2024 09:32:52 +0000

=== debian/control ===
Source: tuxedo-yt6801
Section: utils
Priority: optional
Maintainer: TUXEDO Computers GmbH <tux@tuxedocomputers.com>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tuxedocomputers.com
Vcs-Browser: https://gitlab.com/tuxedocomputers/development/packages/tuxedo-yt6801
Vcs-Git: https://gitlab.com/tuxedocomputers/development/packages/tuxedo-yt6801.git

Package: tuxedo-yt6801
Architecture: all
Depends: ${misc:Depends}, dkms 
Description: A driver for the Motorcomm YT6801 Ethernet controller
 Driver for Motorcomm YT6801
